<?php
    if( !isset($reviews) || !is_array($reviews) ){
        return;
    }
?>
<div class="reviews-sorted slide-layout reviews-grid">
    <div class="rs-grid" style="<?php printf('--column:%s;--gap:%spx', esc_attr($options['column']), esc_attr($options['space'])); ?>">

        <!-- Slides -->
        <?php foreach($reviews as $review): ?>
            <div class="swiper-slide" itemscope itemtype="https://schema.org/Review">
                <div class="inner">

                    <div class="swipe-content">
                        <div itemprop="itemReviewed" itemscope itemtype="https://schema.org/LocalBusiness">
                            <?php if(!empty($settings['business_name'])): ?>
                            <meta itemprop="name" content="<?php esc_attr_e( $settings['business_name']); ?>" >
                            <?php endif; ?>

                            <?php if(!empty($settings['business_icon'])): ?>
                            <meta itemprop="image" content="<?php esc_attr_e( $settings['business_icon']); ?>" >
                            <?php endif; ?>

                            <?php if(!empty($settings['business_address'])): ?>
                            <meta itemprop="address" content="<?php esc_attr_e( $settings['business_address']); ?>" >
                            <?php endif; ?>
                            
                            <?php if(!empty($settings['business_phone'])): ?>
                            <meta itemprop="telephone" content="<?php esc_attr_e( $settings['business_phone']); ?>" >
                            <?php endif; ?>
                            
                            <?php if(!empty($settings['business_priceRange'])): ?>
                            <meta itemprop="priceRange" content="<?php esc_attr_e( $settings['business_priceRange']); ?>" >
                            <?php endif; ?>
                        </div>
                        <div itemprop="reviewBody">
                            <?php echo wpautop(wp_kses_data(stripslashes($review->content))); ?>
                        </div>
                    </div>

                    <div class="swipe-footer">
                        <?php
                            $created = date("F d, Y", strtotime($review->created_at));  
                        ?>
                        
                        <div itemprop="author" itemscope itemtype="https://schema.org/Person">
                            <span class="author" itemprop="name"><?php printf('%s %s', esc_html( $review->authorfname ), esc_html( $review->authorlname ));?></span> 
                            - <span class="date"><?php esc_html_e( $created ); ?></span>
                        </div>
                        <div class="rs-rating" style="<?php printf('--rating:%s', esc_attr($review->rating) ); ?>" aria-label="<?php printf( __('Rating of this product is %s out of 5.', 'reviews-sorted'), esc_attr( $review->rating )); ?>" itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating">
                            <span style="display:none;"><?php printf( __('%s Stars', 'reviews-sorted'), esc_html( $review->rating)); ?></span>
                            <meta itemprop="ratingValue" content="<?php esc_attr_e( $review->rating, 'reviews-sorted'); ?>">
                            <meta itemprop="bestRating" content="5">
                        </div>
                    </div>

                </div>
            </div><!-- .swiper-slide -->
        <?php endforeach; ?>
    </div><!-- .swiper-wrapper -->

</div><!-- .swiper -->