<?php
    if( !isset($reviews) || !is_array($reviews) ){
        return;
    }
?>
<div class="reviews-sorted slide-layout reviews-list">
    <div class="rs-list" style="<?php echo sprintf('--gap:%spx;', esc_attr($options['space'])); ?>">

        <!-- Slides -->
        <?php foreach($reviews as $review): ?>
            <div class="swiper-slide" itemscope itemtype="https://schema.org/Review">
                <div class="inner">

                    <div class="swipe-content">
                        <div itemprop="itemReviewed" itemscope itemtype="https://schema.org/LocalBusiness">
                            <?php if(!empty($settings['business_name'])): ?>
                            <meta itemprop="name" content="<?php esc_attr_e( $settings['business_name']); ?>" >
                            <?php endif; ?>

                            <?php if(!empty($settings['business_icon'])): ?>
                            <meta itemprop="image" content="<?php esc_attr_e( $settings['business_icon']); ?>" >
                            <?php endif; ?>

                            <?php if(!empty($settings['business_address'])): ?>
                            <meta itemprop="address" content="<?php esc_attr_e( $settings['business_address']); ?>" >
                            <?php endif; ?>
                            
                            <?php if(!empty($settings['business_phone'])): ?>
                            <meta itemprop="telephone" content="<?php esc_attr_e( $settings['business_phone']); ?>" >
                            <?php endif; ?>
                            
                            <?php if(!empty($settings['business_priceRange'])): ?>
                            <meta itemprop="priceRange" content="<?php esc_attr_e( $settings['business_priceRange']); ?>" >
                            <?php endif; ?>
                        </div>
                        <div itemprop="reviewBody">
                            <?php _e( esc_html( $review->content ), 'reviews-sorted'); ?>
                        </div>
                    </div>

                    <div class="swipe-footer">
                        <?php
                            $created = date("F d, Y", strtotime($review->created_at));  
                        ?>
                        
                        <div itemprop="author" itemscope itemtype="https://schema.org/Person">
                            <span class="author" itemprop="name"><?php echo sprintf('%s %s', esc_html($review->authorfname), esc_html($review->authorlname) ); ?></span> 
                            - <span class="date"><?php _e( esc_html( $created ), 'reviews-sorted'); ?></span>
                        </div>
                        <div class="rs-rating" style="<?php echo sprintf('--rating:%s', esc_attr($review->rating) ); ?>" aria-label="<?php _e( sprintf('Rating of this product is %s out of 5.', esc_attr( $review->rating )), 'reviews-sorted'); ?>" itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating">
                            <span style="display:none;"><?php _e( sprintf('%s Stars', esc_html( $review->rating)), 'reviews-sorted'); ?></span>
                            <meta itemprop="ratingValue" content="<?php esc_attr_e( $review->rating ); ?>">
                            <meta itemprop="bestRating" content="5">
                        </div>
                    </div>

                </div>
            </div><!-- .swiper-slide -->
        <?php endforeach; ?>
    </div><!-- .swiper-wrapper -->

</div><!-- .swiper -->